Name:           msv
Epoch:          1
Version:        2022.7
Release:        %mkrel 1
Group:          Development/Java
Summary:        Multi-Schema Validator Toolkit
# License breakdown
# Apache-1.1
# * xsdlib/src/main/java/com/sun/msv/datatype/regexp - All files except for InternalImpl.java
# BSD-3-Clause-Sun
# * pom.xml
# * xsdlib/src/main/java/com/sun/msv/datatype/regexp/InternalImpl.java
# BSD-3-Clause-Sun implied by docs/xsdlib/license.txt of the original tarball
# * xsdlib/src/main/java/com/sun/msv/datatype/xsd/CommandLineTester.java
# * xsdlib/src/main/resources/com/sun/msv/datatype/xsd/Messages.properties
# * xsdlib/src/main/resources/com/sun/msv/datatype/xsd/Messages_ja.properties
# BSD-3-Clause - All other .java files
License:        BSD and ASL 1.1
URL:            https://xmlark.github.io/msv/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

# ./generate-tarball.sh
Source0:        %{name}-%{version}.tar.gz

Source1:        generate-tarball.sh

Patch1:         0001-Disable-Apache-XercesImpl.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.jdom:jdom2)
BuildRequires:  mvn(relaxngDatatype:relaxngDatatype)

%description
The Multi Schema Validation toolkit is a Java based toolkit consisting of 8
different submodules. The core module is the Multi-Schema XML Validator (MSV)
for the validation of XML documents against several kinds of XML schemata The
core supports RELAX NG, RELAX Namespace, RELAX Core, TREX, XML DTDs, and a
subset of XML Schema Part 1.

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.

%package        xsdlib
Summary:        Java implementation of W3C’s XML Schema Part 2

%description    xsdlib
MSV XML Datatypes Library, Java implementation of W3C’s XML Schema Part 2, is
intended for use with applications that incorporate XML Schema Part 2.

%prep
%setup -q

# Disable runtime dependency on Apache Xerces
%patch -P 1 -p1
rm xsdlib/src/main/java/com/sun/msv/datatype/xsd/regex/XercesImpl.java

%pom_xpath_remove 'pom:project/pom:modules'
%pom_xpath_inject 'pom:project' '<modules><module>xsdlib</module></modules>'

%pom_xpath_remove 'pom:build/pom:extensions'

%pom_remove_dep org.apache.maven.scm:maven-scm-provider-gitexe
%pom_remove_dep xerces:xercesImpl xsdlib

%pom_remove_plugin org.codehaus.mojo:flatten-maven-plugin
%pom_remove_plugin -r :maven-javadoc-plugin

# We only build xsdlib
%mvn_package net.java.dev.msv:msv __noinstall

%build
%mvn_build -s

%install
%mvn_install

%files javadoc -f .mfiles-javadoc
%license Apache-LICENSE-1.1.txt license.txt

%files xsdlib -f .mfiles-xsdlib
%doc README.md README-xsdlib.md
%license Apache-LICENSE-1.1.txt license.txt



%changelog
* Fri May 24 2024 ns80 <ns80> 1:2022.7-1.mga10
+ Revision: 2067191
- new version 2022.7 for java 21
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Dec 05 2020 luigiwalser <luigiwalser> 1:2013.6.1-12.mga8
+ Revision: 1653163
- set java source and target version to 1.8 to fix build

* Wed Feb 12 2020 umeabot <umeabot> 1:2013.6.1-11.mga8
+ Revision: 1492117
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:2013.6.1-10.mga7
+ Revision: 1264522
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:2013.6.1-8.mga6
+ Revision: 977319
- First rebuild of the java stack
- sync package msv with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2013.6.1-3.mga5
+ Revision: 740958
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 1:2013.6.1-1.mga4
+ Revision: 557177
- Fix buildrequires
- New version
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:2009.1-13.mga3
+ Revision: 360463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 dmorgan <dmorgan> 1:2009.1-12.mga3
+ Revision: 326895
- Java Stack Mass Rebuild

* Wed Apr 27 2011 dmorgan <dmorgan> 1:2009.1-9.mga1
+ Revision: 91908
- Rebuild after bootstrapping
- imported package msv


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2009.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov  2 2010 Ville Skyttä <ville.skytta@iki.fi> - 1:2009.1-7
- Add msv, relames, xmlgen, and rngconv command line scripts.

* Thu Oct 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1:2009.1-6
- BR junit4.

* Thu Oct 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1:2009.1-5
- Fix depmaps and install jars required by msv.pom.

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> - 1:2009.1-4
- Really require a version of xml-commons-resolver that provides the necessary
  maven pom and depmap.

* Sun Sep 19 2010 Mat Booth <fedora@matbooth.co.uk> - 1:2009.1-3
- Require a version of xml-commons-resolver that provides the necessary maven
  pom and depmap.

* Sun Sep 19 2010 Mat Booth <fedora@matbooth.co.uk> - 1:2009.1-2
- Re-patch build to link to local javadocs.
- Install maven poms/depmap.

* Thu Sep 16 2010 Mat Booth <fedora@matbooth.co.uk> - 1:2009.1-1
- Update to latest tagged release.
- Drop support for GCJ ahead of time compilation.
- Fix RHBZ #627688, RHBZ #631076
- This project now builds with maven instead of ant.
- The new build in this release aggregates javadocs, so now we have one javadoc
  package that obsoletes the many javadoc packages we had before.
- Use new jar names that upstream use, provide the old names.
- Misc other changes for guideline compliance.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.2-0.4.20050722.3.4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Karsten Hopp <karsten@redhat.com> 1.2-0.3.20050722.3.4.1
- Specify source and target as 1.4 to make it build

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.2-0.3.20050722.3.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:1.2-0.2.20050722.3.4
- drop repotag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:1.2-0.2.20050722.3jpp.3
- Autorebuild for GCC 4.3

* Wed Sep 12 2007 Matt Wringe <mwringe@redhat.com> 0:1,2-0.1.20050722.3jpp.3
- Make package build with new gcj. Remove .class files from demo package and
  remove demo exclude from aot-compile-rpm 

* Tue Sep 11 2007 Matt Wringe <mwringe@redhat.com> 0:1.2-0.1.20050722.3jpp.2
- Fix unowned directories
- Change copyright files to utf-8 format
- Change license field to BSD (from BSD-Style)

* Fri Feb 16 2007 Andrew Overholt <overholt@redhat.com> 0:1.2-0.1.20050722.3jpp.1
- Remove postun Requires on jpackage-utils
- Set gcj_support to 1
- Fix groups to shut up rpmlint
- Add versions to the Provides and Obsoletes
- Add patch to take out Class-Path in MANIFEST.MF

* Thu Feb 15 2007 Matt Wringe <mwringe at redhat.com> - 0:1.2-0.1.20050722.3jpp.1.fc7
- Extract sources from a fresh CVS export of the given tag and add extra source
  required to build the package not present in the 20050722 tag anymore
- Add a patch to remove compile time dependency on crimson
- Add a patch to enable compression of jar files
- Add jpackage-utils as a requires for the packages/subpackages

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.2-0.20050722.3jpp
- Add bootstrap option to build without saxon nor jdom
- Add gcj_support option

* Mon Feb 17 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2-0.20050722.2jpp
- First JPP 1.7 build

* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.2-0.20050722.1jpp
- First JPP from this code base
